OpenSubdiv: EvaluatorCacheT< EVALUATOR >::Entry Struct Reference

| OpenSubdiv

Loading...
Searching...
No Matches
EvaluatorCacheT< EVALUATOR >::Entry Struct Reference

`#include <mesh.h>`

## Public Member Functions
| Entry (BufferDescriptor const &srcDescArg, BufferDescriptor const &dstDescArg, BufferDescriptor const &duDescArg, BufferDescriptor const &dvDescArg, EVALUATOR *evalArg)
| Entry (BufferDescriptor const &srcDescArg, BufferDescriptor const &dstDescArg, BufferDescriptor const &duDescArg, BufferDescriptor const &dvDescArg, BufferDescriptor const &duuDescArg, BufferDescriptor const &duvDescArg, BufferDescriptor const &dvvDescArg, EVALUATOR *evalArg)

## Public Attributes
BufferDescriptor | srcDesc
BufferDescriptor | dstDesc
BufferDescriptor | duDesc
BufferDescriptor | dvDesc
BufferDescriptor | duuDesc
BufferDescriptor | duvDesc
BufferDescriptor | dvvDesc
EVALUATOR * | evaluator

## Detailed Description

template<typename EVALUATOR>
struct OpenSubdiv::OPENSUBDIV_VERSION::Osd::EvaluatorCacheT< EVALUATOR >::Entry

Definition at line 196 of file mesh.h.

## Constructor & Destructor Documentation

## ◆ Entry() [1/2]

template<typename EVALUATOR>

Entry | ( | BufferDescriptor const & | srcDescArg,
|  | BufferDescriptor const & | dstDescArg,
|  | BufferDescriptor const & | duDescArg,
|  | BufferDescriptor const & | dvDescArg,
|  | EVALUATOR * | evalArg )
| inline

Definition at line 197 of file mesh.h.

## ◆ Entry() [2/2]

template<typename EVALUATOR>

Entry | ( | BufferDescriptor const & | srcDescArg,
|  | BufferDescriptor const & | dstDescArg,
|  | BufferDescriptor const & | duDescArg,
|  | BufferDescriptor const & | dvDescArg,
|  | BufferDescriptor const & | duuDescArg,
|  | BufferDescriptor const & | duvDescArg,
|  | BufferDescriptor const & | dvvDescArg,
|  | EVALUATOR * | evalArg )
| inline

Definition at line 207 of file mesh.h.

## Member Data Documentation

## ◆ dstDesc

template<typename EVALUATOR>

BufferDescriptor dstDesc

Definition at line 220 of file mesh.h.

## ◆ duDesc

template<typename EVALUATOR>

BufferDescriptor duDesc

Definition at line 221 of file mesh.h.

## ◆ duuDesc

template<typename EVALUATOR>

BufferDescriptor duuDesc

Definition at line 222 of file mesh.h.

## ◆ duvDesc

template<typename EVALUATOR>

BufferDescriptor duvDesc

Definition at line 222 of file mesh.h.

## ◆ dvDesc

template<typename EVALUATOR>

BufferDescriptor dvDesc

Definition at line 221 of file mesh.h.

## ◆ dvvDesc

template<typename EVALUATOR>

BufferDescriptor dvvDesc

Definition at line 222 of file mesh.h.

## ◆ evaluator

template<typename EVALUATOR>

EVALUATOR* evaluator

Definition at line 223 of file mesh.h.

## ◆ srcDesc

template<typename EVALUATOR>

BufferDescriptor srcDesc

Definition at line 220 of file mesh.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/mesh.h